appender.h File Reference

## Classes

class | Appender
| Implement this interface for your own strategies for outputting log statements. More...

## Namespaces

namespace | log4cxx
namespace | log4cxx::spi

## Typedefs

typedef helpers::ObjectPtrT < LoggingEvent > | LoggingEventPtr
typedef helpers::ObjectPtrT < Filter > | FilterPtr
typedef log4cxx::helpers::ObjectPtrT < ErrorHandler > | ErrorHandlerPtr
typedef log4cxx::helpers::ObjectPtrT < Layout > | LayoutPtr

## Functions

| LOG4CXX_PTR_DEF (Appender)
| LOG4CXX_LIST_DEF (AppenderList, AppenderPtr)